Package twisted :: Package web :: Module spider :: Class SpiderSender

[show private | hide private]
[frames | no frames]

## Class SpiderSender

    OriginalAccessor --+
                       |
           Versioned --+
                       |
      ApplicationService --+
                           |
                          SpiderSender

Method Summary
| `__init__(self, *args, **kw)`
| `__delattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getattr__(self, k)` (inherited from `OriginalAccessor`)
| `__getstate__(self)`
| `__setattr__(self, k, v)` (inherited from `OriginalAccessor`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| `addTargets(self, targets)`
| ``disownServiceParent`(self)` Have my parent disown me. (inherited from `ApplicationService`)
| `download(self)`
| `downloadFailed(self, reasons, uri)`
| `downloadFinished(self, anchors, uri, depth)`
| `get_application(self)` (inherited from `ApplicationService`)
| `notifyDownloadEnd(self, uri)`
| `notifyDownloadStart(self, uri)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects. (inherited from `OriginalAccessor`)
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects. (inherited from `OriginalAccessor`)
| `set_application(self, application)` (inherited from `ApplicationService`)
| `setApplication(self, application)` (inherited from `ApplicationService`)
| ``setServiceParent`(self, serviceParent)` Set my parent, which must be a service collection of some kind. (inherited from `ApplicationService`)
| ``startService`(self)` This call is made as a service starts up.
| ``stopService`(self)` This call is made before shutdown.
| `tryDownload(self)`
| `upgradeToVersion1(self)` (inherited from `ApplicationService`)
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`string` | `fileTemplate`
`int` | `maxDepth`
`int` | `maxDownloaders`

Method Details

### startService(self)

This call is made as a service starts up.

  Overrides:
    `twisted.internet.app.ApplicationService.startService` (inherited documentation)

### stopService(self)

This call is made before shutdown.

  Overrides:
    `twisted.internet.app.ApplicationService.stopService` (inherited documentation)

Class Variable Details

### fileTemplate

  Type:
    `string`
  Value:

        '%s/%s'

### maxDepth

  Type:
    `int`
  Value:

        5

### maxDownloaders

  Type:
    `int`
  Value:

        10

Generated by Epydoc 1.1 on Sat Feb 15 21:18:16 2003 | http://epydoc.sf.net